#
# spec file for package scsi (Version 1.7_2.22_0.93)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcl tk
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone tk unzip util-linux vim

Name:         scsi
%define sinfover	1.7
%define sdevver 	2.22
%define sgutver 	0.93
Copyright:	GPL
Group:        Utilities/System
Provides:     scsiinfo sg_utils scsidev
Autoreqprov:  on
Version:      1.7_2.22_0.93
Release:      92
Summary:      SCSI tools (text mode)
Source:		scsiinfo-%{sinfover}.tar.gz
Patch:		scsiinfo-%{sinfover}.dif
Source2:	http://www.garloff.de/kurt/linux/scsidev/scsidev-%{sdevver}.tar.gz
Source3:	http://www.garloff.de/kurt/linux/rescan-scsi-bus.sh
Source4:	http://www.torque.net/sg/p/sg_utils-%{sgutver}.tgz
Patch4:		sg_utils-%{sgutver}.diff
Patch5:		sg_map-0.93-osst2.diff

%description
A collection of useful tools for users of SCSI systems:
* scsiinfo: Allows to access some internals of SCSI devices, such as
defect lists or the so-called mode pages, which control e.g. the
behaviour of the device's cache or error management.
* scsiformat: A low-level formatting tool for SCSI disks.
* scsidev: If your SCSI config changes from time to time, e.g. because
you have external devices which are not always switched on or connected
then the kernel's mapping to the device nodes is not always the way
you would expect it. This program creates a mapping which remains
unchanged in most of these cases.
* rescan-scsi-bus.sh: Script that scans the SCSI bus and dynamicaaly adds
(and optionally removes) devices.
* sg_utils: A colection of small useful tools, that are based on the
sg interface and give info on the SCSI bus, copy data,...
Warning: Some of these tools access the internals of your system
and a wrong usage of them may render your system inoperational.
Note: scsiinfo comes with a graphical user interface which can be found
in the xscsi package.

Authors:
--------
    Michael Weller <eowmob@exp-math.uni-essen.de>
    Eric Youngdale <eric@aib.com>
    Doug Gilbert <dgilbert@interlog.com>
    Kurt Garloff <garloff@suse.de>

SuSE series: ap

%package -n xscsi
Summary:      Graphical frontend for scsiinfo
Group:        Utilities/System
Autoreqprov:  on
Requires:     scsi tk

%description -n xscsi
For visualization and manipulation of SCSI mode pages, scsiinfo comes with
graphical interface.

Authors:
--------
    Michael Weller <eowmob@exp-math.uni-essen.de>
    Eric Youngdale <eric@aib.com>

SuSE series: xap

%prep
%setup -b2 -n scsidev
%setup -b4 -n sg_utils-%{sgutver}
#cd ../sg_utils-%{sgutver}
%patch4 -p1
%patch5
%setup -n scsiinfo-%{sinfover}
%patch

%build
cd ../scsiinfo-%{sinfover}
make clean
make CFLAGS="$RPM_OPT_FLAGS -Wall -D_GNU_SOURCE"
cd ../scsidev
CFLAGS="$RPM_OPT_FLAGS -Wall" ./configure --prefix=/usr --with-infodir=%{_infodir} --with-mandir=%{_mandir}
make
cd ../sg_utils-%{sgutver}
mv README README.sg
make CFLAGS="$RPM_OPT_FLAGS -Wall -D_REENTRANT"
make sg_start
cd archive; make sg_reset

%install
make install
cd ../scsidev
make install
install -o root -g root -m 755 $RPM_SOURCE_DIR/rescan-scsi-bus.sh /bin
cd ../sg_utils-%{sgutver}
make install PREFIX=/usr MANDIR=%{_mandir}
install -s -o root -g root -m 755 sg_start /bin/
install -s -o root -g root -m 755 archive/sg_reset /usr/sbin/

%files
# scsiinfo
/usr/sbin/sgcheck
/usr/bin/scsiinfo
%doc 0-CHANGES 0-README.first 0-TODO
%doc %{_mandir}/man8/scsiinfo.8.gz
# scsiformat 
/usr/bin/scsiformat
%doc %{_mandir}/man8/scsiformat.8.gz
# scsidev
%doc ../scsidev/boot.diff ../scsidev/CHANGES ../scsidev/COPYING
%doc ../scsidev/README ../scsidev/TODO
/bin/scsidev
%doc %{_mandir}/man8/scsidev.8.gz
%dir /dev/scsi
# rescan-scsi-bus.sh
/bin/rescan-scsi-bus.sh
# sg_utils
/usr/bin/sginfo
#/usr/bin/isosize
/usr/bin/scsi_inquiry 
/usr/bin/sg_dd
/usr/bin/sg_debug
/usr/bin/sg_inq
/usr/bin/sg_map 
/usr/bin/sg_rbuf
/usr/bin/sg_readcap
/usr/sbin/sg_reset
/usr/bin/sg_scan 
/usr/bin/sg_simple1 
/usr/bin/sg_simple2
/bin/sg_start
/usr/bin/sg_test_rwbuf
/usr/bin/sg_turs
/usr/bin/sgp_dd
%doc ../sg_utils-%{sgutver}/README.sg
%doc ../sg_utils-%{sgutver}/README.sg_start
%{_mandir}/man8/sg_dd.8.gz
%{_mandir}/man8/sgp_dd.8.gz
%{_mandir}/man8/sg_map.8.gz
%{_mandir}/man8/sg_rbuf.8.gz
#%{_mandir}/man8/isosize.8.gz

%files -n xscsi
# scsiinfo, Tk frontend
/usr/bin/scsi-config
/usr/bin/tk_scsiformat
%dir /usr/lib/scsi
/usr/lib/scsi/cache
/usr/lib/scsi/control
/usr/lib/scsi/disconnect
/usr/lib/scsi/error
/usr/lib/scsi/format
/usr/lib/scsi/generic
/usr/lib/scsi/inquiry
/usr/lib/scsi/notch
/usr/lib/scsi/overview
/usr/lib/scsi/peripheral
/usr/lib/scsi/rigid
/usr/lib/scsi/save-changes
/usr/lib/scsi/save-file
/usr/lib/scsi/tworands
/usr/lib/scsi/verify
%doc %{_mandir}/man8/tk_scsiformat.8.gz
%doc %{_mandir}/man8/scsi-config.8.gz

%changelog -n scsi
* Tue May 15 2001 - garloff@suse.de
- Use $RPM_OPT_FLAGS in order to work on PPC (-fsigned-char)
  (Hint from olh@suse.de)
* Tue Apr 17 2001 - kukuk@suse.de
- Don't use a RPM macro as Version number
* Wed Apr 11 2001 - garloff@suse.de
- Fix sginfo -d (segfaulted for large defect lists)
* Wed Apr 11 2001 - garloff@suse.de
- Update to sg-0.93.
- Add sg_start, compile sg_reset and add osst to sg_map.
* Tue Apr 03 2001 - kukuk@suse.de
- Disable isosize, use newer version with docu from util-linux
* Tue Sep 05 2000 - garloff@suse.de
- Update to scsidev-2.22: Make parser handle last line of
  /etc/scsi.alias even in absence of trailing LF.
* Mon Aug 28 2000 - garloff@suse.de
- Update to scsidev-2.21: Prevent overflow for very long host
  adapter names (Advansys, thanks to Doug Gilbert for reporting)
* Sat Aug 05 2000 - garloff@suse.de
- Update to scsidev-2.20: Include OnStream osst support and minor
  fixes
- Update to sg-20000630: Some new commands
- New program sg_start to spin down and up devices (harddisks)
- Many bugfixes to sginfo: * user defined pages work now
  * saving of changes works now
  * overflow in defect lists fixed
* Wed May 31 2000 - kukuk@suse.de
- Fix including of kernel header files
* Fri Mar 03 2000 - garloff@suse.de
- Initial creation of package, containing
  * scsiinfo-1.7
  * scsiformat
  * scsidev-2.10
  * rescan-scsi-bus.sh
  * sg_utils000207
